"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameKeyBatchSchema = exports.GameKeyBatch = exports.GameKeyBatchStatus = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const key_provider_1 = require("./types/key-provider");
var GameKeyBatchStatus;
(function (GameKeyBatchStatus) {
    GameKeyBatchStatus[GameKeyBatchStatus["Active"] = 0] = "Active";
    GameKeyBatchStatus[GameKeyBatchStatus["MarkedForDeletion"] = 1] = "MarkedForDeletion";
})(GameKeyBatchStatus = exports.GameKeyBatchStatus || (exports.GameKeyBatchStatus = {}));
let GameKeyBatch = class GameKeyBatch {
};
__decorate([
    (0, mongoose_1.Prop)({ index: true, required: true }),
    __metadata("design:type", String)
], GameKeyBatch.prototype, "playfabId", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, default: 0 }),
    __metadata("design:type", Number)
], GameKeyBatch.prototype, "size", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, default: key_provider_1.KeyProvider.Steam }),
    __metadata("design:type", Number)
], GameKeyBatch.prototype, "provider", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, default: GameKeyBatchStatus.Active }),
    __metadata("design:type", Number)
], GameKeyBatch.prototype, "status", void 0);
__decorate([
    (0, mongoose_1.Prop)({ required: true, minlength: 2 }),
    __metadata("design:type", String)
], GameKeyBatch.prototype, "uploadedBy", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], GameKeyBatch.prototype, "deletionRequestedAt", void 0);
__decorate([
    (0, mongoose_1.Prop)({ minlength: 2 }),
    __metadata("design:type", String)
], GameKeyBatch.prototype, "deletionRequestedBy", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Date)
], GameKeyBatch.prototype, "createdAt", void 0);
GameKeyBatch = __decorate([
    (0, mongoose_1.Schema)({ timestamps: true, id: true, collection: 'batches' })
], GameKeyBatch);
exports.GameKeyBatch = GameKeyBatch;
exports.GameKeyBatchSchema = mongoose_1.SchemaFactory.createForClass(GameKeyBatch);
//# sourceMappingURL=game-key-batch.schema.js.map