"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameKeySchema = exports.GameKey = void 0;
const mongoose_1 = require("mongoose");
const mongoose_2 = require("@nestjs/mongoose");
const game_key_batch_schema_1 = require("./game-key-batch.schema");
const delivery_status_1 = require("./types/delivery-status");
const key_provider_1 = require("./types/key-provider");
let GameKey = class GameKey {
};
__decorate([
    (0, mongoose_2.Prop)({ required: true, index: true, unique: true }),
    __metadata("design:type", String)
], GameKey.prototype, "key", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: true, index: true }),
    __metadata("design:type", Number)
], GameKey.prototype, "provider", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: true, default: delivery_status_1.DeliveryStatus.None }),
    __metadata("design:type", Number)
], GameKey.prototype, "status", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: false }),
    __metadata("design:type", Date)
], GameKey.prototype, "reservationDate", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: false }),
    __metadata("design:type", Date)
], GameKey.prototype, "deliveryDate", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: false }),
    __metadata("design:type", String)
], GameKey.prototype, "reservationId", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: false }),
    __metadata("design:type", String)
], GameKey.prototype, "transactionId", void 0);
__decorate([
    (0, mongoose_2.Prop)({ required: true, index: true }),
    __metadata("design:type", String)
], GameKey.prototype, "playfabId", void 0);
__decorate([
    (0, mongoose_2.Prop)({
        required: true,
        type: mongoose_1.default.Schema.Types.ObjectId,
        ref: 'GameKeyBatch'
    }),
    __metadata("design:type", game_key_batch_schema_1.GameKeyBatch)
], GameKey.prototype, "batch", void 0);
GameKey = __decorate([
    (0, mongoose_2.Schema)({ timestamps: true, id: true, collection: 'keys' })
], GameKey);
exports.GameKey = GameKey;
exports.GameKeySchema = mongoose_2.SchemaFactory.createForClass(GameKey);
//# sourceMappingURL=game-key.schema.js.map